---
title: "Delete AI content by contentId"
url: https://docs.gleap.ai/en/reference/rest-api/remove-by-content-id
method: DELETE
path: "/aicontent/{contentId}"
api: "API Reference"
tag: "AI content"
operationId: "RemoveByContentId"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Delete AI content by contentId

`DELETE https://api.gleap.io/v3/aicontent/{contentId}`

Delete AI content by contentId

Remove an AI content entry by its contentId

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `contentId` (string, required)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request DELETE \
  --url 'https://api.gleap.io/v3/aicontent/{contentId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok

```json
{
  "message": "string",
  "success": true
}
```
